Subject: [TLS] TLS revisions?

From: kankedu <[email-masked]>
Date: Fri, 21 Jan 2005 15:56:08 +0100

Hello.

I wonder if there are any revisions of TLS out there, or if 1.0 is the only 
one.

Specifically I wonder if TLS still has both the error messages bad_record_mac 
and decryption_failed, which impose a security threath is some cases (cf. 
http://www.terminodes.org/getDoc.php?docid=449&docnum=1). I know that openSSL 
does not use both errors (http://www.openssl.org/~bodo/tls-cbc.txt), but is 
that up to each implementor of TLS to decide, or is it in the protocol?

sincerely,
Johannes Hoff

ps. By the way, the address for subscribing, 
[email-masked], is broken!

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls